## org.eclipse.datatools.sqltools.db.derby.core
Class DerbyProcIdentifier

    java.lang.Object
      org.eclipse.datatools.sqltools.core.ProcIdentifierImpl
          org.eclipse.datatools.sqltools.db.derby.core.DerbyProcIdentifier

All Implemented Interfaces:
  org.eclipse.datatools.sqltools.core.ProcIdentifier, org.eclipse.datatools.sqltools.core.ProcIdentifier2

    public class DerbyProcIdentifier

extends org.eclipse.datatools.sqltools.core.ProcIdentifierImpl

Author:
  hcao

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.core.ProcIdentifier2
`PROP_SPECIFIC_NAME`

Fields inherited from interface org.eclipse.datatools.sqltools.core.ProcIdentifier
`PROP_DBNAME, PROP_NAME, PROP_NUMBER, PROP_OWNER, PROP_PROFILE, PROP_TABLENAME, PROP_TABLEOWNERNAME, PROP_TYPE, TYPE_EVENT, TYPE_SP, TYPE_SQL, TYPE_TRIGGER, TYPE_UDF`

Constructor Summary
`DerbyProcIdentifier(int type, org.eclipse.datatools.sqltools.core.DatabaseIdentifier db, java.util.Map map)`

Method Summary
`java.lang.String` `getCallableStringWithoutGroupNumber(boolean quoted_id)`
`java.lang.String` `getLongDisplayString()`

Methods inherited from class org.eclipse.datatools.sqltools.core.ProcIdentifierImpl
`decode, decodeMap, decodeWithNewProfile, encode, encodeMap, equals, equalsByServer, getCallableString, getCallableString, getCallableStringWithoutGroupNumber, getDatabaseIdentifier, getDatabaseName, getDisplayString, getNumber, getOwnerName, getProcName, getProcSpecificName, getProfileName, getTableName, getTableOwnerName, getType, hashCode, setProfileName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerbyProcIdentifier

    public DerbyProcIdentifier(int type,
                               org.eclipse.datatools.sqltools.core.DatabaseIdentifier db,
                               java.util.Map map)

Method Detail

### getCallableStringWithoutGroupNumber

    public java.lang.String getCallableStringWithoutGroupNumber(boolean quoted_id)

  Specified by:
    `getCallableStringWithoutGroupNumber` in interface `org.eclipse.datatools.sqltools.core.ProcIdentifier`
  Overrides:
    `getCallableStringWithoutGroupNumber` in class `org.eclipse.datatools.sqltools.core.ProcIdentifierImpl`

### getLongDisplayString

    public java.lang.String getLongDisplayString()

  Specified by:
    `getLongDisplayString` in interface `org.eclipse.datatools.sqltools.core.ProcIdentifier`
  Overrides:
    `getLongDisplayString` in class `org.eclipse.datatools.sqltools.core.ProcIdentifierImpl`